Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class EJB3NamingStrategy

    java.lang.Object
      org.hibernate.cfg.EJB3NamingStrategy

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.NamingStrategy

Direct Known Subclasses:
  DefaultComponentSafeNamingStrategy

    public class EJB3NamingStrategy

extends Object
implements org.hibernate.cfg.NamingStrategy, Serializable

NAming strategy implementing the EJB3 standards

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary
`static org.hibernate.cfg.NamingStrategy` | `INSTANCE`

Constructor Summary
`EJB3NamingStrategy()`

Method Summary
`String` | `classToTableName(String className)`
`String` | `collectionTableName(String ownerEntity, String ownerEntityTable, String associatedEntity, String associatedEntityTable, String propertyName)`
`String` | `columnName(String columnName)`
`String` | `foreignKeyColumnName(String propertyName, String propertyEntityName, String propertyTableName, String referencedColumnName)`
`String` | `joinKeyColumnName(String joinedColumn, String joinedTable)`
`String` | `logicalCollectionColumnName(String columnName, String propertyName, String referencedColumn)`
`String` | `logicalCollectionTableName(String tableName, String ownerEntityTable, String associatedEntityTable, String propertyName)`
`String` | `logicalColumnName(String columnName, String propertyName)`
`String` | `propertyToColumnName(String propertyName)`
`String` | `tableName(String tableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.hibernate.cfg.NamingStrategy INSTANCE

Constructor Detail

### EJB3NamingStrategy

    public EJB3NamingStrategy()

Method Detail

### classToTableName

    public String classToTableName(String className)

  Specified by:
    `classToTableName` in interface `org.hibernate.cfg.NamingStrategy`

### propertyToColumnName

    public String propertyToColumnName(String propertyName)

  Specified by:
    `propertyToColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### tableName

    public String tableName(String tableName)

  Specified by:
    `tableName` in interface `org.hibernate.cfg.NamingStrategy`

### columnName

    public String columnName(String columnName)

  Specified by:
    `columnName` in interface `org.hibernate.cfg.NamingStrategy`

### collectionTableName

    public String collectionTableName(String ownerEntity,
                                      String ownerEntityTable,
                                      String associatedEntity,
                                      String associatedEntityTable,
                                      String propertyName)

  Specified by:
    `collectionTableName` in interface `org.hibernate.cfg.NamingStrategy`

### joinKeyColumnName

    public String joinKeyColumnName(String joinedColumn,
                                    String joinedTable)

  Specified by:
    `joinKeyColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### foreignKeyColumnName

    public String foreignKeyColumnName(String propertyName,
                                       String propertyEntityName,
                                       String propertyTableName,
                                       String referencedColumnName)

  Specified by:
    `foreignKeyColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### logicalColumnName

    public String logicalColumnName(String columnName,
                                    String propertyName)

  Specified by:
    `logicalColumnName` in interface `org.hibernate.cfg.NamingStrategy`

### logicalCollectionTableName

    public String logicalCollectionTableName(String tableName,
                                             String ownerEntityTable,
                                             String associatedEntityTable,
                                             String propertyName)

  Specified by:
    `logicalCollectionTableName` in interface `org.hibernate.cfg.NamingStrategy`

### logicalCollectionColumnName

    public String logicalCollectionColumnName(String columnName,
                                              String propertyName,
                                              String referencedColumn)

  Specified by:
    `logicalCollectionColumnName` in interface `org.hibernate.cfg.NamingStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD